﻿Imports System.Data

Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim dt As New DataTable
        Dim dr As DataRow

        If ViewState("dtSource") Is Nothing Then
            dt = New DataTable

            dt.Columns.Add("TextCol", GetType(System.String))
            dt.Columns.Add("ValueCol", GetType(System.String))

            dr = dt.NewRow()
            dr("TextCol") = "100T"
            dr("ValueCol") = "100V"
            dt.Rows.Add(dr)

            dr = dt.NewRow()
            dr("TextCol") = "200T"
            dr("ValueCol") = "200V"
            dt.Rows.Add(dr)

            dr = dt.NewRow()
            dr("TextCol") = "300T"
            dr("ValueCol") = "300V"
            dt.Rows.Add(dr)

            dr = dt.NewRow()
            dr("TextCol") = "400T"
            dr("ValueCol") = "400V"
            dt.Rows.Add(dr)

            ViewState("dtSource") = dt
        Else
            dt = DirectCast(ViewState("dtSource"), DataTable)
        End If

        cboTest.DataSource = dt

    End Sub

    Protected Sub btnPB_Click(sender As Object, e As System.EventArgs) Handles btnPB.Click

        txtCurrentValue.Text = cboTest.CurrentValue
        txtSelectedItemIndex.Text = cboTest.SelectedItemIndex.ToString
        txtSelectedValue.Text = cboTest.SelectedValue.ToString
        txtActiveItemIndex.Text = cboTest.ActiveItemIndex.ToString

    End Sub

    Protected Sub ManageDataBound(ByVal sender As Object, ByVal e As System.EventArgs) Handles cboTest.DataBound
        If Page.Session(Me.ID & "_ElementoSelezionato") IsNot Nothing Then
            Dim selectedItem As Infragistics.Web.UI.ListControls.DropDownItem = DirectCast(Page.Session(Me.ID & "_ElementoSelezionato"), Infragistics.Web.UI.ListControls.DropDownItem)
            cboTest.SelectedItems.Add(selectedItem)
            cboTest.CurrentValue = selectedItem.Text
            cboTest.SelectedValue = selectedItem.Value
        End If
    End Sub

    Protected Sub cboTest_OnValueChanged(ByVal sender As Object, ByVal e As Infragistics.Web.UI.ListControls.DropDownValueChangedEventArgs) Handles cboTest.ValueChanged
        Page.Session(Me.ID & "_ElementoSelezionato") = cboTest.SelectedItem
    End Sub

End Class